config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/allegro.cfg.new
( cd usr/lib64 ; rm -rf liballeg.so )
( cd usr/lib64 ; ln -sf liballeg.so.4.4 liballeg.so )
( cd usr/lib64 ; rm -rf liballeg.so.4.4 )
( cd usr/lib64 ; ln -sf liballeg.so.4.4.2 liballeg.so.4.4 )
